﻿using ModuleTools.Attributes;
using ModuleTools.Enums;
using ModuleTools.ViewModels;

namespace DepartmentBusinessLogic.ViewModels
{
	/// <summary>
	/// Список историй синхронизации приказов
	/// </summary>
	public class OrderSyncHistoryListViewModel : ListViewModel<OrderSyncHistoryViewModel> { }

	/// <summary>
	/// Элемент история синхронизации приказов
	/// </summary>
	[ViewModelControlElementClass(HaveDependenceEntities = true, Width = 800, Height = 500)]
	[ViewModelControlElementDependenceEntity(Title = "Записи", Order = 1, ParentPropertyName = "OrderSyncHistoryId",
		ControlTypeObject = "DepartmentWindowsDesktop.EntityControls.ControlOrderSyncHistoryRecordList, DepartmentWindowsDesktop")]
	public class OrderSyncHistoryViewModel : ElementViewModel
	{
		[ViewModelControlListProperty("Дата", ColumnWidth = 100, DefaultCellStyleFormat = "dd.MM.yyyy")]
		[ViewModelControlElementProperty("Дата", ControlType.ControlDateTime, MustHaveValue = true, ReadOnly = true)]
		[MapConfiguration("SyncDate")]
		public string SyncDate { get; set; }

		[ViewModelControlListProperty("События")]
		[ViewModelControlElementProperty("События", ControlType.ControlText, MustHaveValue = true, ReadOnly = true, Width = 300, Height = 500)]
		[MapConfiguration("History")]
		public string History { get; set; }
	}
}